diff -urP 4.1.0/ws.sh/bin/mkws 5.0.0/ws.sh/bin/mkws
--- 4.1.0/ws.sh/bin/mkws Wed Sep 7 22:31:58 2022
+++ 5.0.0/ws.sh/bin/mkws Tue Oct 11 07:27:40 2022
@@ -8,25 +8,22 @@
test $# -lt 1 && usage
-export src="${2:-.}"
-export share="${MKWSTHEMEDIR:-$src/share}"
+export SRC="${2:-.}"
+export SHARE="${MKWSTHEMEDIR:-${SRC}/share}"
export LANG="${LANG:-en_US.UTF-8}"
-if ! test -f "$src"/index.upphtml
+if ! test -f "${SRC}"/index.upphtml
then
>&2 printf "no index.upphtml file found\\n"
exit 1
fi
-echo "Making s.css"
-pp "$share"/s.uppcss "$1" > s.css
-
-for t in "$src"/*.upphtml
+for t in "${SRC}"/*.upphtml
do
echo "Making $(basename "${t%.upphtml}".html)"
- pp "$share"/l.upphtml "$t" "$1" > \
+ pp "${SHARE}"/l.upphtml "${t}" "$1" > \
"$(basename "${t%.upphtml}".html)"
done
echo "Making sitemap.xml"
-pp "$share"/sitemap.uppxml "$1" > sitemap.xml
+pp "${SHARE}"/sitemap.uppxml "$1" > sitemap.xml
diff -urP 4.1.0/ws.sh/share/l.upphtml 5.0.0/ws.sh/share/l.upphtml
--- 4.1.0/ws.sh/share/l.upphtml Wed Sep 7 22:31:51 2022
+++ 5.0.0/ws.sh/share/l.upphtml Tue Oct 11 07:27:32 2022
@@ -6,8 +6,11 @@
-
+
#!
pp "$1"
diff -urP 4.1.0/ws.sh/share/sitemap.uppxml 5.0.0/ws.sh/share/sitemap.uppxml
--- 4.1.0/ws.sh/share/sitemap.uppxml Wed Sep 7 22:31:52 2022
+++ 5.0.0/ws.sh/share/sitemap.uppxml Tue Oct 11 07:27:34 2022
@@ -5,9 +5,15 @@
do
#!
- $1/$(basename "$f")
- $(lmt -f '%Y-%m-%dT%H:%M:%SZ' "$f" | cut -d' ' -f1)
- 1.0
+#!
+loc=$1/$(basename "${f}")
+#!
+${loc}
+#!
+lastmod=$(lmt -f '%Y-%m-%dT%H:%M:%SZ' "${f}" | cut -d' ' -f1)
+#!
+${lastmod}
+1.0
#!
done